GET /api/v202302/widget/monthlyusetrend/{specificWidgetId}

Retrieves monthly use trend data for a widget

GetMonthlyUseTrendV202302
Use this endpoint to get time-series monthly use data grouped by commodity or place. Supersedes the V3 monthly use trend endpoint. Supports global dashboard filter overrides.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId Unique numeric identifier of the specific Monthly Use Trend widget instance integer (int32) Required

Query Parameters

Name Description Type Required
filter Optional global dashboard filter that adds to or overrides saved widget filter values string (string) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

TimeSeriesDataResponse
Property Description Type
entities Entity metadata for each series in the response (e.g., commodity name, place, or group) TimeSeriesEntity[]
TimeSeriesEntity properties
Property Description Type
display Primary display label for the entity string
id Unique identifier of the entity within its type integer (int32)
secondaryDisplay Secondary display label (e.g., code when name is primary) string
type The grouping type (e.g., “Commodity”, “Place”, “Organization”) string
values Time series values with date, value, unit, and entity reference TimeSeriesValue[]
TimeSeriesValue properties
Property Description Type
date string (date-time)
formattedValue Value, serialized as a String. This is the value that should be displayed to the User. If Value is very large or to a high degree of precision its Number value in Javascript cannot be relied upon. Other client languages might have similar limitations. In order to guarantee that Value is displayed to the User to the same degree of precision as is stored in the readings database, this formattedValue property must be used. string
id integer (int32)
unit The Unit that Value is expressed in. E.g. “kWh”. string
value Value, as a decimal. Note that this could be very large, and/or to a high degree of precision. In particular, in Javascript, it might not be able to be precisely represented in a 64-bit float. See: formattedValue. number (double)
Example Response application/json
{  "entities": [
    {    "display": "string",    "id": 1,    "secondaryDisplay": "string",    "type": "string"
  }
  ],  "values": [
    {    "date": "2026-06-29",    "formattedValue": "string",    "id": 1,    "unit": "string",    "value": 1.0
  }
  ]
}